package com.xunhong.erp.turbo.api.biz.api;

import com.xunhong.erp.turbo.api.biz.dto.cmd.OrderShipCreateCmd;
import com.xunhong.erp.turbo.api.biz.dto.cmd.OrderShipDestroyCmd;
import com.xunhong.erp.turbo.api.biz.dto.cmd.OrderShipGenerateDocumentCmd;
import com.xunhong.erp.turbo.api.biz.dto.cmd.OrderShipUpdateCmd;
import com.xunhong.erp.turbo.api.biz.dto.qry.OrderShipListQry;
import com.xunhong.erp.turbo.api.biz.dto.qry.OrderShipPageQry;
import com.xunhong.erp.turbo.api.biz.dto.qry.OrderShipShowQry;
import com.xunhong.erp.turbo.api.biz.dto.vo.OrderShipVO;
import com.xunhong.erp.turbo.base.dto.PageDTO;

import java.util.List;

/**
 * @author shenyifei
 */
public interface OrderShipServiceI {
	OrderShipVO create(OrderShipCreateCmd orderShipCreateCmd);

	PageDTO<OrderShipVO> page(OrderShipPageQry orderShipPageQry);

	List<OrderShipVO> list(OrderShipListQry orderShipListQry);

	OrderShipVO update(OrderShipUpdateCmd orderShipUpdateCmd);

	OrderShipVO show(OrderShipShowQry orderShipShowQry);

	void destroy(OrderShipDestroyCmd orderShipDestroyCmd);

	void generateDocument(OrderShipGenerateDocumentCmd orderShipGenerateDocumentCmd);
}

